> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Journal Entries for a Business

> **Scopes:** `journal_entry:read`



## OpenAPI

````yaml /api-reference/openapi.json get /v0/business/{business_id}/journal-entries
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/journal-entries:
    get:
      tags:
        - Journal Entry
      summary: List Journal Entries for a Business
      description: '**Scopes:** `journal_entry:read`'
      operationId: get_journal_entries_v0_business__business_id__journal_entries_get
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            description: The id of the business
            examples:
              - biz_GA6EG2qFxA97NZHtxeLPUy
            type: string
            format: biz_string
            title: Business Id
          description: The id of the business
        - name: tag_value_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: tv_string
              - type: 'null'
            description: >-
              Include only Journal Entries that have at least one line with the
              given Tag Value
            examples:
              - tv_Ns6rRRLYVZPh4cVB7MDby5
            title: Tag Value Id
          description: >-
            Include only Journal Entries that have at least one line with the
            given Tag Value
        - name: start_datetime
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: >-
              Include Journal Entries after this period (inclusive) in ISO-8601
              format
            title: Start Datetime
          description: >-
            Include Journal Entries after this period (inclusive) in ISO-8601
            format
        - name: end_datetime
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: >-
              Include Journal Entries before this period (inclusive) in ISO-8601
              format
            examples:
              - '2025-01-01T00:00:00Z'
            title: End Datetime
          description: >-
            Include Journal Entries before this period (inclusive) in ISO-8601
            format
        - name: review_status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/JournalEntryReviewStatus'
              - type: 'null'
            description: Return only Journal Entries with the given review_status
            examples:
              - confirmed
            title: Review Status
          description: Return only Journal Entries with the given review_status
        - name: is_reconciled
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: Include only Journal Entries that are reconciled
            title: Is Reconciled
          description: Include only Journal Entries that are reconciled
        - name: transaction_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: txn_string
              - type: 'null'
            description: Include only Journal Entry that has the given transaction_id
            examples:
              - txn_WQMDNUHpBThYSNh4AprDBo
            title: Transaction Id
          description: Include only Journal Entry that has the given transaction_id
        - name: description
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 100
              - type: 'null'
            description: >-
              Filter by word in the description. Use ~ to search for multiple
              words. e.g. ~Service,~Purchase
            examples:
              - ~Service,~Purchase
            title: Description
          description: >-
            Filter by word in the description. Use ~ to search for multiple
            words. e.g. ~Service,~Purchase
        - name: amount
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Filter by the sum of debit line entry amounts. Amount will be
              treated as positive regardless of the sign.
            examples:
              - '89.23'
            title: Amount
          description: >-
            Filter by the sum of debit line entry amounts. Amount will be
            treated as positive regardless of the sign.
        - name: ledger_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - items:
                  type: string
                type: array
              - type: 'null'
            description: >-
              Include only Journal Entries that have at least one line in the
              given Ledgers, comma-separated
            title: Ledger Id
          description: >-
            Include only Journal Entries that have at least one line in the
            given Ledgers, comma-separated
        - name: page_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                description: The page token to for the next or previous page
              - type: 'null'
            title: Page Token
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
            title: Page Size
        - name: sort_by
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/JournalEntrySortField'
            default: datetime
        - name: order
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/JournalEntrySortOrder'
            default: desc
        - name: ids
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - items:
                  type: string
                type: array
              - type: 'null'
            description: >-
              Comma-separated list of Journal Entry IDs to retrieve. Maximum
              limit is 100.
            title: Ids
          description: >-
            Comma-separated list of Journal Entry IDs to retrieve. Maximum limit
            is 100.
        - name: includes
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - items:
                  type: string
                type: array
              - type: 'null'
            description: >-
              Comma-separated list of related objects to include. Supported:
              notes
            title: Includes
          description: 'Comma-separated list of related objects to include. Supported: notes'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JournalEntriesEACPaginated'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - journal_entry:read
components:
  schemas:
    JournalEntryReviewStatus:
      type: string
      enum:
        - bookkeeper_pending
        - business_pending
        - confirmed
      title: JournalEntryReviewStatus
    JournalEntrySortField:
      type: string
      enum:
        - datetime
        - description
        - amount
      title: JournalEntrySortField
    JournalEntrySortOrder:
      type: string
      enum:
        - asc
        - desc
      title: JournalEntrySortOrder
    JournalEntriesEACPaginated:
      properties:
        data:
          items:
            $ref: '#/components/schemas/JournalEntryEACPublic'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
      type: object
      required:
        - data
        - pagination
      title: JournalEntriesEACPaginated
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    JournalEntryEACPublic:
      properties:
        business_id:
          type: string
          format: biz_string
          title: Business Id
          description: The ID of the Business that is associated with the Journal Entry
          examples:
            - biz_Pk2fNFDd8wj7EFeLWJywc7
        description:
          type: string
          maxLength: 512
          title: Description
          description: The description of the Journal Entry
          examples:
            - HomeDepot purchase
        clean_description:
          anyOf:
            - type: string
              maxLength: 512
            - type: 'null'
          title: Clean Description
          description: A more human-readable version of the description
          examples:
            - HomeDepot purchase
        datetime:
          type: string
          format: date-time
          title: Datetime
          description: The datetime the journal entry was created in UTC ISO-8601 format
          examples:
            - '2023-11-07T05:31:56Z'
        is_reconciled:
          type: boolean
          title: Is Reconciled
          description: Whether the journal entry is reconciled
        review_status:
          $ref: '#/components/schemas/JournalEntryReviewStatus'
          description: The review status of the journal entry
        basis:
          $ref: '#/components/schemas/JournalEntryBasis'
          description: The accounting basis of the journal entry
        id:
          type: string
          format: je_string
          title: Id
          description: The ID of the Journal Entry
          examples:
            - je_R2fAXCjqJPdpYata112zyW
        transaction_id:
          anyOf:
            - type: string
              format: txn_string
            - type: 'null'
          title: Transaction Id
          description: >-
            The ID of the associated Transaction if the Journal Entry was
            created from a Transaction
          examples:
            - txn_WQMDNUHpBThYSNh4AprDBo
        line_entries:
          items:
            $ref: '#/components/schemas/LineEntryPublic'
          type: array
          title: Line Entries
          description: The Line Entries for this Journal Entry
        categorization_method:
          anyOf:
            - $ref: '#/components/schemas/CategorizationMethod'
            - type: 'null'
          description: The method used to categorize the Journal Entry
          examples:
            - manual
        invoice_id:
          anyOf:
            - type: string
              format: inv_string
            - type: 'null'
          title: Invoice Id
          description: The ID of the associated Invoice
          examples:
            - inv_WQMDNUHpBThYSNh4AprDBo
        external_account_id:
          anyOf:
            - type: string
              format: eac_string
            - type: 'null'
          title: External Account Id
          description: The ID of the External Account associated with the Journal Entry
        notes:
          anyOf:
            - items:
                $ref: '#/components/schemas/NotePublic'
              type: array
            - type: 'null'
          title: Notes
          description: The notes associated with the Journal Entry
      type: object
      required:
        - business_id
        - description
        - clean_description
        - datetime
        - is_reconciled
        - review_status
        - basis
        - id
        - transaction_id
        - line_entries
        - categorization_method
        - invoice_id
        - external_account_id
      title: JournalEntryEACPublic
    PaginationResponse:
      properties:
        next_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page Token
          description: The next page token
        previous_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Page Token
          description: The previous page token
      type: object
      title: PaginationResponse
    JournalEntryBasis:
      type: string
      enum:
        - both
        - accrual
        - cash
      title: JournalEntryBasis
    LineEntryPublic:
      properties:
        ledger_id:
          type: string
          format: ldg_string
          title: Ledger Id
          description: The ID of the Ledger associated with the Line Entry
          examples:
            - ldg_Ns6rRRLYVZPh4cVB7MDby5
        description:
          type: string
          maxLength: 512
          title: Description
          description: The line entry description
          examples:
            - HomeDepot purchase
        debit_credit:
          $ref: '#/components/schemas/DebitCredit'
          description: Indicates whether this is a debit or credit line
          examples:
            - debit
        amount:
          type: number
          title: Amount
          description: >-
            The line amount in decimal dollar cents, and it must always be
            positive
          examples:
            - '89.23'
        id:
          type: string
          format: le_string
          title: Id
          description: The ID of the Line Entry
          examples:
            - le_GA6EG2qFxA97NZHtxeLPUy
        journal_entry_id:
          type: string
          format: je_string
          title: Journal Entry Id
          description: The ID of the parent Journal Entry
          examples:
            - je_R2fAXCjqJPdpYata112zyW
        transaction_id:
          anyOf:
            - type: string
              format: txn_string
            - type: 'null'
          title: Transaction Id
          description: >-
            The ID of the associated Transaction if the Line Entry was created
            from a Transaction
          examples:
            - txn_WQMDNUHpBThYSNh4AprDBo
        tag_value_ids:
          items:
            type: string
            format: tv_string
          type: array
          title: Tag Value Ids
          description: >-
            [Deprecated] The IDs of the tag values associated with the Line
            Entry. This field is still supported, but it will be removed in a
            future version of the API. Please use Journal Entry Tags instead.
          examples:
            - - tv_Ns6rRRLYVZPh4cVB7MDby5
      type: object
      required:
        - ledger_id
        - description
        - debit_credit
        - amount
        - id
        - journal_entry_id
      title: LineEntryPublic
    CategorizationMethod:
      type: string
      enum:
        - refund
        - transfer
        - similarity
        - plaid
        - ai
        - ar
        - ap
        - tenant_rule
        - business_rule
        - uncategorized
        - manual
        - agent
        - stripe
      title: CategorizationMethod
    NotePublic:
      properties:
        journal_entry_id:
          type: string
          format: je_string
          title: Journal Entry Id
          description: The ID of the associated Journal Entry
          examples:
            - je_WQMDNUHpBThYSNh4AprDBo
        message:
          type: string
          title: Message
          description: The message of the note
        user:
          anyOf:
            - type: string
            - type: 'null'
          title: User
          description: The user who created the note
        id:
          type: string
          format: nt_string
          title: Id
          description: The ID of the Note
          examples:
            - nt_R2fAXCjqJPdpYata112zyW
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time the note was created
          examples:
            - '2023-03-01T12:00:00Z'
      type: object
      required:
        - journal_entry_id
        - message
        - user
        - id
        - created_at
      title: NotePublic
    DebitCredit:
      type: string
      enum:
        - debit
        - credit
      title: DebitCredit
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````